'use strict';

var repl = require('./repl');

var client = repl.client;

function DemoCtrl($scope, enQ) {
  function fail(error) {
    $scope.error = error;
  }

  $scope.contentTypes = enQ(client.contentTypes());

  $scope.$watch('contentType', function(contentType) {
    if (!contentType) return;
    $scope.entries = enQ(client.entries({
      order: 'sys.updatedAt',
      'sys.contentType.sys.id': contentType.sys.id
    }));
  });
}

angular.module('meow', []).

  controller('DemoCtrl', DemoCtrl).

  factory('enQ', function($rootScope, $q) {
    return function enQ(foreignPromise) {
      var deferred = $q.defer();
      foreignPromise.then(function (data) {
        deferred.resolve(data);
        $rootScope.$digest();
      }, function (reason) {
        deferred.reject(reason);
        $rootScope.$digest();
      });
      return deferred.promise;
    };
  })

  .directive('vsplit', function() {
    //
  });
